## GOPersist

GOPersist

## Functions

void | go_persist_prep_sax ()
void | go_persist_sax_save ()

## Types and Values

| GOPersist
| GOPersistClass
#define | GO_PARAM_PERSISTENT

## Object Hierarchy

        GInterface
        ╰── GOPersist

## Known Implementations

GOPersist is implemented by GODistribution, GOStyle, GogAxis, GogAxisColorMap, GogErrorBar, GogGraph and GogTheme.

## Description

## Functions

### go_persist_prep_sax ()

    void
    go_persist_prep_sax (GOPersist *gp,
                         GsfXMLIn *xin,
                         xmlChar const **attrs);

### go_persist_sax_save ()

    void
    go_persist_sax_save (GOPersist const *gp,
                         GsfXMLOut *output);

## Types and Values

### GOPersist

    typedef struct _GOPersist GOPersist;

### GOPersistClass

    typedef struct {
    	GTypeInterface base;

    	void	 (*prep_sax) (GOPersist *gp, GsfXMLIn *xin, xmlChar const **attrs);
    	void     (*sax_save) (GOPersist const *gp, GsfXMLOut *output);
    } GOPersistClass;

#### Members

GTypeInterface `base`; | base interface. |
`prep_sax` () | loads the persistent object from a GsfXMLIn. |
`sax_save` () | saves the persistent object to a GsfXMLOut. |

### GO_PARAM_PERSISTENT

    #define GO_PARAM_PERSISTENT (1 << (G_PARAM_USER_SHIFT+0))